Bug 4654 - Client core dumps when doing bulk attribute add
: Client core dumps when doing bulk attribute add
Status: RESOLVED FIXED
: Replica Location
RLS
: development
: PC All
: P3 major
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-08-10 23:12 by
Modified: 2007-01-04 16:43 (History)


Attachments
initialize lists (1.02 KB, patch)
2006-08-10 23:12, Sam Meder
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-10 23:12:10
I found the problem was due to building a list without first intializing the
initial pointer to NULL. I've gone through the code and added initialization to
any other list declaration that looked suspicious (see attached path against
the 4.0 tree.

/Sam
------- Comment #1 From 2006-08-10 23:12:46 -------
Created an attachment (id=1031) [details]
initialize lists
------- Comment #2 From 2006-10-10 19:53:03 -------
Much thanks!

Fix committed to globus_4_0_branch
------- Comment #3 From 2006-10-19 15:42:57 -------
Fix committed in trunk